For the complete documentation index, see llms.txt. This page is also available as Markdown.

🌟Guild Features

This endpoint requires an API key. If you don't have one, you can get one by using the bot's slash command /apikey generate

The API key owner must have the Administrator permission in the selected guild to be able to get its data

Get the guild features

GET https://api.stefdp.com/gattinhosBot/guilds/{guild_id}/features/{section}/{id}

Path Parameters

Name
Type
Description

guild_id*

String

The ID of the guild

section

String

The specific section of the JSON to get. Supported values: welcome, reactionRoles, logs, leveling.

String

The ID of the reaction role or the welcome message (ignored when section is bot welcome or reactionRoles

Headers

Name
Type
Description

Authorization*

String

Bearer <API_KEY>

Returns all the guild features

{
  "logs": {
    "status": {
      "autoModerationRuleCreate": false,
      "autoModerationRuleDelete": false,
      "autoModerationRuleUpdate": false,
      "channelCreate": false,
      "channelDelete": false,
      "channelUpdate": false,
      "emojiCreate": false,
      "emojiDelete": false,
      "emojiUpdate": false,
      "guildBanAdd": false,
      "guildBanRemove": false,
      "guildMemberAdd": false,
      "guildMemberRemove": false,
      "guildMemberUpdate": false,
      "guildScheduledEventCreate": false,
      "guildScheduledEventDelete": false,
      "guildScheduledEventUpdate": false,
      "guildScheduledEventUserAdd": false,
      "guildScheduledEventUserRemove": false,
      "guildUpdate": false,
      "inviteCreate": false,
      "inviteDelete": false,
      "messageDelete": false,
      "messageDeleteBulk": false,
      "messageReactionRemoveAll": false,
      "messageReactionRemoveEmoji": false,
      "messageUpdate": false,
      "roleCreate": false,
      "roleDelete": false,
      "roleUpdate": false,
      "stageInstanceCreate": false,
      "stageInstanceDelete": false,
      "stageInstanceUpdate": false,
      "stickerCreate": false,
      "stickerDelete": false,
      "stickerUpdate": false,
      "threadCreate": false,
      "threadDelete": false,
      "threadUpdate": false,
      "userUpdate": false,
      "voiceStateUpdate": false
    },
    "webhookUrl": ""
  },
  "leveling": {
    "excludedRoles": [],
    "enabled": false,
    "excludedChannels": [],
    "excludedUsers": [],
    "xpRate": 1,
    "xpTimeout": 1000,
    "levelUpChannelId": "current",
    "levelUpMessage": "{{user}} just reached level {{user.level}}. Now he's at {{user.xp}}/{{user.xp.needed}}XP for the next level!"
  },
  "reactionRoles": [
    {
      "id": 0,
      "embedEnabled": false,
      "message": "",
      "channelId": "1142592785757774005",
      "embed": "",
      "reactionsLegend": {},
      "messageId": "1149629557964541972"
    }
  ],
  "welcomeMessages": [
    {
      "image": {
        "message": {
          "background": {
            "type": "image",
            "color": "#7d0bbf",
            "customImageURL": "/home/container/data/default_background.jpg"
          },
          "enabled": false,
          "embed": false
        },
        "embed": {
          "enabled": false,
          "imageURL": ""
        }
      },
      "id": 0,
      "embedEnabled": false,
      "embedTimestamp": false,
      "message": "",
      "channelId": "1142594747790282854",
      "embed": ""
    }
  ]
}

Returns an object with the data about the logs settings in the guild

Returns an object with the data about the leveling settings in the guild

Returns an array with the objects of each reaction role in the guild

Returns an array with the objects of each welcome message in the guild

Examples

Try it out!

spinner

Last updated